org.eclnt.jsfserver.defaultscreens

## Class DefaultScreens

- java.lang.Object
- - org.eclnt.jsfserver.pagebean.PageBean
  - - org.eclnt.jsfserver.defaultscreens.DefaultScreens

- All Implemented Interfaces:
    java.io.Serializable, IPageBean, IDynamicContentBindingObject

      public class DefaultScreens
      extends PageBean
      implements java.io.Serializable

  Some default screens that are provided - e.g. message screens ("ok"-dialogs, "yes-no"-dialogs) and default dialogs for the grid processing ("column details", "search & export").
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DefaultScreens.Factory` Factory for loadgin the grid dialog bean.
    `static class` | `DefaultScreens.SessionAccess`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultScreens()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AsynchMessageBus` | `getAsynchMessageBus()`
    `java.lang.String` | `getCcaroundOutestPage()`
    `Client` | `getClient()`
    `java.lang.String` | `getClientTestLogMessage()`
    `Clipboard` | `getClipboard()`
    `GridDetails` | `getGridDetails()`
    `ModalPopup` | `getHtModalPopup0()`
    `ModalPopup` | `getHtModalPopup1()`
    `ModalPopup` | `getHtModalPopup2()`
    `ModelessPopup` | `getHtModelessPopup0()`
    `ModelessPopup` | `getHtModelessPopup1()`
    `ModelessPopup` | `getHtModelessPopup2()`
    `ImageSelection` | `getImageSelection()`
    `LogViewer` | `getLogViewer()`
    `java.util.Map<java.lang.String,ModalPopup>` | `getModalPopups()`
    `java.util.Map<java.lang.String,ModelessPopup>` | `getModelessPopups()`
    `ObserverPopup` | `getObserverPopup()`
    `OKPopup` | `getOkPopup()`
    `OnlineHelp` | `getOnlineHelp()`
    `java.lang.String` | `getPageName()` Name of page that is managed by the bean.
    `IdAttributesSelection` | `getPopupIdAttributesSelection()`
    `IdTextSelection` | `getPopupIdTextSelection()`
    `ProfilingViewer` | `getProfilingViewer()`
    `java.lang.String` | `getRootExpressionUsedInPage()` Inside the page definition the bean is addressed via a certain root expression - e.g.
    `static DefaultScreens.SessionAccess` | `getSessionAccess()`
    `static DefaultScreens.SessionAccess` | `getSessionAccess(ISessionAbstraction session)`
    `ShowServerError` | `getShowServerError()`
    `Statusbar` | `getStatusbar()`
    `Wizard` | `getWizard()`
    `YESNOPopup` | `getYesNoPopup()`
    `void` | `hideAllPopups(boolean hidePopups)` Hides all popups that are currently open.
    `void` | `setPopupNode(DUMMYComponent comp)`

    - ### Methods inherited from class org.eclnt.jsfserver.pagebean.PageBean

      `buildContentReplaceString, closePopup, getActualRootExpression, getPopups, initializePageBean, isInitialized, onBeforeRendering, openModalPopup, openModelessPopup, pbx, readPageLayoutXML, setActualRootExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultScreens

          public DefaultScreens()

  - ### Method Detail

    - #### getPageName

          public java.lang.String getPageName()

      Description copied from interface: `IPageBean`
      Name of page that is managed by the bean. This can either be a static return value that stays fix for the whole lifecycle of the bean, or it may also be a value that changed - in case there are several pages that are possible to be managed by the page bean.
      Specified by:
        `getPageName` in interface `IPageBean`
      Specified by:
        `getPageName` in class `PageBean`

    - #### getRootExpressionUsedInPage

          public java.lang.String getRootExpressionUsedInPage()

      Description copied from interface: `IPageBean`
      Inside the page definition the bean is addressed via a certain root expression - e.g. "#{d.XYZBean}". The page bean management requires this expression in order to execute certain expression replacements when loading the page at runtime.
      Specified by:
        `getRootExpressionUsedInPage` in interface `IPageBean`
      Specified by:
        `getRootExpressionUsedInPage` in class `PageBean`

    - #### getSessionAccess

          public static DefaultScreens.SessionAccess getSessionAccess()

    - #### getSessionAccess

          public static DefaultScreens.SessionAccess getSessionAccess(ISessionAbstraction session)

    - #### getCcaroundOutestPage

          public java.lang.String getCcaroundOutestPage()

    - #### getObserverPopup

          public ObserverPopup getObserverPopup()

    - #### getAsynchMessageBus

          public AsynchMessageBus getAsynchMessageBus()

    - #### getPopupIdAttributesSelection

          public IdAttributesSelection getPopupIdAttributesSelection()

    - #### getPopupIdTextSelection

          public IdTextSelection getPopupIdTextSelection()

    - #### getStatusbar

          public Statusbar getStatusbar()

    - #### getOnlineHelp

          public OnlineHelp getOnlineHelp()

    - #### getModalPopups

          public java.util.Map<java.lang.String,ModalPopup> getModalPopups()

    - #### getHtModelessPopup0

          public ModelessPopup getHtModelessPopup0()

    - #### getHtModelessPopup1

          public ModelessPopup getHtModelessPopup1()

    - #### getHtModelessPopup2

          public ModelessPopup getHtModelessPopup2()

    - #### getHtModalPopup0

          public ModalPopup getHtModalPopup0()

    - #### getHtModalPopup1

          public ModalPopup getHtModalPopup1()

    - #### getHtModalPopup2

          public ModalPopup getHtModalPopup2()

    - #### getModelessPopups

          public java.util.Map<java.lang.String,ModelessPopup> getModelessPopups()

    - #### getOkPopup

          public OKPopup getOkPopup()

    - #### getYesNoPopup

          public YESNOPopup getYesNoPopup()

    - #### getWizard

          public Wizard getWizard()

    - #### getShowServerError

          public ShowServerError getShowServerError()

    - #### getImageSelection

          public ImageSelection getImageSelection()

    - #### getGridDetails

          public GridDetails getGridDetails()

    - #### getClipboard

          public Clipboard getClipboard()

    - #### getClient

          public Client getClient()

    - #### getClientTestLogMessage

          public java.lang.String getClientTestLogMessage()

    - #### setPopupNode

          public void setPopupNode(DUMMYComponent comp)

    - #### hideAllPopups

          public void hideAllPopups(boolean hidePopups)

      Hides all popups that are currently open. The popups remain as object structure on server side but are not rendered on client side. This e.g. is called when an error occurs on server side and the error page is shown. When implementing an own error page you may call this function (with passing "true" as parameter) to re-show all the popups that were closed before.
      Parameters:
        `hidePopups` - true => popups are hidden, false => popups are not hidden anymore

    - #### getLogViewer

          public LogViewer getLogViewer()

    - #### getProfilingViewer

          public ProfilingViewer getProfilingViewer()

Copyright © CaptainCasa Gmbh. All Rights Reserved.